package io.renren.modules.app.dao;

import io.renren.modules.app.entity.DyxxEntity;
import io.renren.modules.app.entity.XlkEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 单元信息表
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-26 09:49:15
 */
@Mapper
public interface DyxxDao extends BaseMapper<DyxxEntity> {

    /**
     * 分页模糊查询
     * @param dyxxEntity
     * @return
     */
    List<DyxxEntity> queryByPage(DyxxEntity dyxxEntity);
    
    //小区下拉框数据展现
    List<XlkEntity> selectxlkxq();
    
    //多级联动下拉框查询
    List<XlkEntity> selectxmbyxq(String bm);
    
    List<XlkEntity> selectlzbyxm(String bm);
    List<XlkEntity> selectdylcbylz(String bm);
    String queryfwdybm();


    List<DyxxEntity> selectDybmList(@Param("dhbmList") List<String> dhbmList);
}
